<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>

    <pre> Hãy tạo bảng dữ liệu nhân viên</pre>
    <div class="container">
        <table class="table table-border table-striped" id="table-person">
            <thead>
                <tr>
                    <td>id</td>
                    <td>First Name</td>
                    <td>Last Name</td>
                    <td>Picture</td>
                </tr>
            </thead>
            <tbody>


            </tbody>
        </table>
    </div>





    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    // đây là dữ liệu dùng tạo bảng


    var gEmployeeList = `{
        "employees": {
            "employee": [
            {
                "id": "1",
                "firstName": "Tom",
                "lastName": "Cruise",
                "photo": "https://jsonformatter.org/img/tom-cruise.jpg"
            },
            {
                "id": "2",
                "firstName": "Maria",
                "lastName": "Sharapova",
                "photo": "https://jsonformatter.org/img/Maria-Sharapova.jpg"
            },
            {
                "id": "3",
                "firstName": "Robert",
                "lastName": "Downey Jr.",
                "photo": "https://jsonformatter.org/img/Robert-Downey-Jr.jpg"
            }
            ]
        }
        }`


    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {

        hienThiTable();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    function hienThiTable() {
        var vPersonObj = JSON.parse(gEmployeeList);
        // var vTable = document.getElementById("table-person");
        // var vTableBody = vTable.getElementsByTagName("tbody")[0];

        for (var bI = 0; bI < vPersonObj.employees.employee.length; bI++) {
            $("#table-person").find('tbody')
                .append($('<tr>')
                    .append($('<td>')
                        .html(vPersonObj.employees.employee[bI].id)

                    )
                    .append($('<td>')
                        .html(vPersonObj.employees.employee[bI].firstName)

                    )
                    .append($('<td>')
                        .html(vPersonObj.employees.employee[bI].lastName)

                    )
                    .append($('<td>')
                        .append($('<img>')
                            .attr('src', vPersonObj.employees.employee[bI].photo)
                            .text('Image cell')
                            .css({ "width": "20%" })
                        )

                    )
                );
        }

    }

</script>

</html>